### Virtual Method

# Atk Hyperlink get_object

#### Declaration [src]

    AtkObject*
    get_object (
      AtkHyperlink* link_,
      gint i
    )

#### Description [src]

Returns the item associated with this hyperlinks nth anchor. For instance, the returned `AtkObject` will implement `AtkText` if `link_` is a text hyperlink, `AtkImage` if `link_` is an image hyperlink etc.

Multiple anchors are primarily used by client-side image maps.

#### Parameters

`i`

  Type: `gint`

  A (zero-index) integer specifying the desired anchor.

#### Return value

Type: `AtkObject`

An `AtkObject` associated with this hyperlinks i-th anchor.

The returned data is owned by the instance.